# markSupported method

1. @override

bool markSupported()
override

Tests if this input stream supports the mark and reset methods.

Whether or not mark and reset are supported is an invariant property of a particular input stream instance. The markSupported method returns `true` if and only if this stream supports the mark/reset functionality.

## Returns

`true` if this stream instance supports the mark and reset methods; `false` otherwise.

## Example

    final input = FileInputStream('data.txt');
    if (input.markSupported()) {
      input.mark(1024); // Mark current position

      // Read some data
      final preview = await input.readFully(100);

      // Reset to marked position
      await input.reset();

      // Read again from the marked position
      final actualData = await input.readAll();
    }

## Implementation

    @override
    bool markSupported() => false;